Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 569118 (CVE-2015-8613) - <app-emulation/qemu-2.5.0-r2: scsi: stack based buffer overflow in megasas_ctrl_get_info (CVE-2015-8613)
Summary: <app-emulation/qemu-2.5.0-r2: scsi: stack based buffer overflow in megasas_ct...
Status: RESOLVED FIXED
Alias: CVE-2015-8613
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: B2 [glsa cve]
Keywords:
Depends on: 578044
Blocks:
  Show dependency tree
 
Reported: 2015-12-22 08:24 UTC by Agostino Sarubbo
Modified: 2016-04-02 18:27 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2015-12-22 08:24:34 UTC
From ${URL} :

Qemu emulator built with the SCSI MegaRAID SAS HBA emulation support is vulnerable to a stack 
buffer overflow issue. It occurs while processing the SCSI controller's CTRL_GET_INFO command. A 
privileged guest user could use this flaw to crash the Qemu process instance resulting in DoS.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2015-12/msg03737.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2015/12/22/1


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Agostino Sarubbo gentoo-dev 2016-01-26 15:06:42 UTC
This is fixed upstream:

http://git.qemu.org/?p=qemu.git;a=commitdiff;h=36fef36b91f7ec0435215860f1458b5342ce2811
Comment 2 SpanKY gentoo-dev 2016-03-23 05:25:41 UTC
this is in qemu-2.5.0-r2 and is fine for stable
Comment 3 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-03-23 06:11:44 UTC
GLSA request opened.
Comment 4 Yury German Gentoo Infrastructure gentoo-dev Security 2016-04-02 17:14:23 UTC
Clean as part of bug #567420
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2016-04-02 18:27:13 UTC
This issue was resolved and addressed in
 GLSA 201604-01 at https://security.gentoo.org/glsa/201604-01
by GLSA coordinator Yury German (BlueKnight).